Package org.jboss.modules

# Class ModuleIdentifier

java.lang.Object
org.jboss.modules.ModuleIdentifier

All Implemented Interfaces:
  `Serializable`

@Deprecated public final class ModuleIdentifier extends Object implements Serializable
Deprecated.
This class has been deprecated in favor of name strings; however, programs using identifiers will continue to function correctly.
A unique identifier for a module within a module loader.

Author:
  John Bailey, David M. Lloyd, Jason T. Greene
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ModuleIdentifier`
`CLASSPATH`
Deprecated.
The class path module (only present if booted from a class path).

## Method Summary

Modifier and Type
Method
Description
`static ModuleIdentifier`
`create(String name)`
Deprecated.
Creates a new module identifier using the specified name.
`static ModuleIdentifier`
`create(String name, String slot)`
Deprecated.
Creates a new module identifier using the specified name and slot.
`boolean`
`equals(Object other)`
Deprecated.
Determine whether this object is equal to another.
`boolean`
`equals(ModuleIdentifier other)`
Deprecated.
Determine whether this object is equal to another.
`static ModuleIdentifier`
`fromString(String moduleSpec)`
Deprecated.
Parse a module specification from a string.
`String`
`getName()`
Deprecated.
Get the module name.
`String`
`getSlot()`
Deprecated.
Get the module version slot.
`int`
`hashCode()`
Deprecated.
Determine the hash code of this module identifier.
`String`
`toString()`
Deprecated.
Get the string representation of this module identifier.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CLASSPATH

public static final ModuleIdentifier CLASSPATH
Deprecated.
The class path module (only present if booted from a class path).

## Method Details

### getName

public String getName()
Deprecated.
Get the module name.

Returns:
  the module name

### getSlot

public String getSlot()
Deprecated.
Get the module version slot.

Returns:
  the version slot

### equals

public boolean equals(Object other)
Deprecated.
Determine whether this object is equal to another.

Overrides:
  `equals` in class `Object`
Parameters:
  `other` - the other object
Returns:
  `true` if they are equal, `false` otherwise

### equals

public boolean equals(ModuleIdentifier other)
Deprecated.
Determine whether this object is equal to another.

Parameters:
  `other` - the other object
Returns:
  `true` if they are equal, `false` otherwise

### hashCode

public int hashCode()
Deprecated.
Determine the hash code of this module identifier.

Overrides:
  `hashCode` in class `Object`
Returns:
  the hash code

### toString

public String toString()
Deprecated.
Get the string representation of this module identifier.

Overrides:
  `toString` in class `Object`
Returns:
  the string representation

### fromString

public static ModuleIdentifier fromString(String moduleSpec) throws IllegalArgumentException
Deprecated.
Parse a module specification from a string.

Parameters:
  `moduleSpec` - the specification string
Returns:
  the module identifier
Throws:
  `IllegalArgumentException` - if the format of the module specification is invalid or it is `null`

### create

public static ModuleIdentifier create(String name, String slot)
Deprecated.
Creates a new module identifier using the specified name and slot. A slot allows for multiple modules to exist with the same name. The main usage pattern for this is to differentiate between two incompatible release streams of a module. Normally all module definitions wind up in the "main" slot. An unspecified or null slot will result in placement in the "main" slot. Unless you have a true need for a slot, it should not be specified. When in doubt use the {`create(String)` method instead.

Parameters:
  `name` - the name of the module
  `slot` - the slot this module belongs in
Returns:
  the identifier

### create

public static ModuleIdentifier create(String name)
Deprecated.
Creates a new module identifier using the specified name.

Parameters:
  `name` - the name of the module
Returns:
  the identifier